Main Page Widgets Namespaces Book

# Atk::Value Class Reference

Inheritance diagram for Atk::Value:

[legend]
List of all members.

## Public Member Functions

virtual | ~Value ()
AtkValue* | gobj ()
| Provides access to the underlying C GObject.
const AtkValue* | gobj () const
| Provides access to the underlying C GObject.
void | get_current_value (Glib::ValueBase& value) const
| Gets the value of this object.
void | get_maximum_value (Glib::ValueBase& value) const
| Gets the maximum value of this object.
void | get_minimum_value (Glib::ValueBase& value) const
| Gets the minimum value of this object.
bool | set_current_value (const Glib::ValueBase& value)
| Sets the value of this object.

## Static Public Member Functions

void | add_interface (GType gtype_implementer)

## Protected Member Functions

virtual void | get_current_value_vfunc (Glib::ValueBase& value)
virtual void | get_maximum_value_vfunc (Glib::ValueBase& value)
virtual void | get_minimum_value_vfunc (Glib::ValueBase& value)
virtual bool | set_current_value_vfunc (const Glib::ValueBase& value)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Atk::Value> | wrap (AtkValue* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Atk::Value::~Value | ( |  | ) | `[virtual]`

## Member Function Documentation

void Atk::Value::add_interface | ( | GType | gtype_implementer | ) | `[static]`

void Atk::Value::get_current_value | ( | Glib::ValueBase& | value | ) | const

Gets the value of this object.

Parameters:

  value | A G::Value representing the current accessible value.

virtual void Atk::Value::get_current_value_vfunc | ( | Glib::ValueBase& | value | ) | `[protected, virtual]`

void Atk::Value::get_maximum_value | ( | Glib::ValueBase& | value | ) | const

Gets the maximum value of this object.

Parameters:

  value | A G::Value representing the maximum accessible value.

virtual void Atk::Value::get_maximum_value_vfunc | ( | Glib::ValueBase& | value | ) | `[protected, virtual]`

void Atk::Value::get_minimum_value | ( | Glib::ValueBase& | value | ) | const

Gets the minimum value of this object.

Parameters:

  value | A G::Value representing the minimum accessible value.

virtual void Atk::Value::get_minimum_value_vfunc | ( | Glib::ValueBase& | value | ) | `[protected, virtual]`

const AtkValue* Atk::Value::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::Interface. Reimplemented in Atk::NoOpObject.

AtkValue* Atk::Value::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::Interface. Reimplemented in Atk::NoOpObject.

bool Atk::Value::set_current_value | ( | const Glib::ValueBase& | value | ) |

Sets the value of this object.

Parameters:

  value | A G::Value which is the desired new accessible value.

Returns:
  `true` if new value is successfully set, `false` otherwise.

virtual bool Atk::Value::set_current_value_vfunc | ( | const Glib::ValueBase& | value | ) | `[protected, virtual]`

## Friends And Related Function Documentation

Glib::RefPtr<Atk::Value> wrap | ( | AtkValue* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- atk/atkmm/value.h